Bug 85827 - Use ChaCha20 instead of RC4 in arc4random
Summary: Use ChaCha20 instead of RC4 in arc4random
Status: RESOLVED FIXED
Alias: None
Product: libbsd
Classification: Unclassified
Component: libbsd (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium enhancement
Assignee: Guillem Jover
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-04 01:15 UTC by thepouar
Modified: 2015-12-01 02:10 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
patch to add chacha20 support, taken from https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=747671#10 (12.39 KB, patch)
2015-01-16 18:46 UTC, thepouar
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description thepouar 2014-11-04 01:15:30 UTC
Someone once submitted this to the Debian bugtracker, but this probably should be resolved upstream. OpenBSD, the guys who came up with arc4random uses ChaCha20 since 5.5 released in May 2014
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=747671
Comment 2 Guillem Jover 2015-09-23 22:46:16 UTC
Hi!

This is fixed now in the pu/arc4random branch at http://git.hadrons.org/cgit/libbsd.git/, which still needs some testing and some polishing, but it will be included in the upcoming release which should happen within the coming couple of weeks at most.
Comment 3 Guillem Jover 2015-12-01 02:10:03 UTC
This has now been released as part of libbsd 0.8.0.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.